## Script (Python) "validate_PloneNewsLetter_Edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=search_button=None, create_button=None, content_start_date=None, content_end_date=None, selected_content_paths=None, selected_content_types=None
##title=Validates a PloneNewsLetter edit
##

validator = context.portal_form.createForm()
errors=validator.validate(context.REQUEST)

if search_button:
    from DateTime import DateTime
    try:
        DateTime(content_start_date)
    except:
        errors['content_start_date'] = 'Enter a valid date. (Example: "2003/04/23")'
    try:
        DateTime(content_end_date)
    except:
        errors['content_end_date'] = 'Enter a valid date. (Example: "2003/04/23")'

if errors:
   message='Please correct the indicated errors.'
   return ('failure', errors, {'portal_status_message':message})
else:
   if create_button:
       message='The TXT and HTML versions of the Newsletter have been created.'
   else:
       message='Your document changes have been saved.'
   return ('success', errors, {'portal_status_message':message})
